AiAgent
Create a new aiAgent
POST /aiAgent
POST /aiAgent
This API creates a new AI Agent and returns the newly created id
Request body
The new AI Agent that should be created. If not defined, then a blank "new ai agent" will be created
idintegerbodyUnique identifier of the AI agent (unsigned integer)
tagIdintegerbodyCategory of this ai agent
channelsstring[]bodyChannels this ai agent is available on
namestringbodyThe name of the AI agent visible to the user. It is also used by the LLM to validate if the intent is correctly identified
descriptionstringbodyThe description of the AI agent as defined by the user. It is also used by the LLM to validate if the intent is correctly identified
appearanceobjectbodyNo description.
exampleTicketIdsinteger[]bodyNo description.
settingsobjectbodyNo description.
Request Example
{
"id": 1,
"tagId": 41,
"channels": [
"all"
],
"name": "Change bank data (Code)",
"description": "Customer wants to change his bank data",
"appearance": null,
"exampleTicketIds": [
8,
26
],
"settings": null
}Responses
200 — New intent created
Response Example
{
"success": true
}403 — Unauthorized
422 — AI agent definition contains invalid parameter references
500 — Internal error